/**
 * Copyright (c) 2009-2012 Zauber S.A. <http://www.zaubersoftware.com/>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.zauberlabs.commons.mom.style.impl;

import net.sf.staccatocommons.restrictions.Constant;

import com.zauberlabs.commons.mom.style.NamingStyle;

/**
 * {@link NamingStyle} that simply assumes that mapKeys correspon to property
 * names
 *
 * @author flbulgarelli
 */
public class BeanNamingStyle implements NamingStyle {

    @Override
    public String getPropertyName(final String mapKey) {
        return mapKey;
    }

    /**
     * Answers a constant {@link BeanNamingStyle} instance
     */
    @Constant
    public static NamingStyle syle() {
        return new BeanNamingStyle();
    }

}
